Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005795 [JEDI VCL] 00 JVCL Components feature always 2012-02-14 22:48 2012-09-10 14:15
Reporter Kiriakos View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005795: Add TerminateTree to JvCreateProcess
Description JvCreateProcess.Terminate fails if the created process has running sub-processes. I have added a TerminateTree method that kills the whole process tree.

Patch attached.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvCreateProcess.pas.patch [^] (2,996 bytes) 2012-02-14 22:48

- Relationships

-  Notes
(0019470)
obones (administrator)
2012-02-22 15:14

Please provide the zipped sources of a sample application showing this
(0019476)
Kiriakos (reporter)
2012-02-22 16:12

Maybe I did not make myself clear. Current JvCreateProcess provide a couple of ways to terminate a running process, Quit and Terminate. Terminate is the more drastic one killing the process. However even Terminate may fail if the running process has started further subprocesses. The patch provided adds a third way to terminate the running process: a new method called TerminateTree which kills the process and its subprocesses. It is an enhancement, which does not interfere with the existing code. To use it just call TerminateTree instead of calling Terminate.
(0019933)
obones (administrator)
2012-06-12 16:42

This is now in SVN

- Issue History
Date Modified Username Field Change
2012-02-14 22:48 Kiriakos New Issue
2012-02-14 22:48 Kiriakos File Added: JvCreateProcess.pas.patch
2012-02-22 15:14 obones Note Added: 0019470
2012-02-22 15:14 obones Status new => feedback
2012-02-22 16:12 Kiriakos Note Added: 0019476
2012-06-11 17:44 obones Status feedback => acknowledged
2012-06-12 16:42 obones Note Added: 0019933
2012-06-12 16:42 obones Status acknowledged => resolved
2012-06-12 16:42 obones Fixed in Version => Daily / SVN
2012-06-12 16:42 obones Resolution open => fixed
2012-06-12 16:42 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker